### A free/open-source library for quantitative finance

Classes | Public Types | Public Member Functions
YearOnYearInflationSwap Class Reference

Year-on-year inflation-indexed swap. More...

`#include <ql/instruments/yearonyearinflationswap.hpp>`

Inheritance diagram for YearOnYearInflationSwap:
[legend]

List of all members.

## Classes

class | arguments
| Arguments for YoY swap calculation More...
class | results
| Results from YoY swap calculation More...

## Public Types

enum | Type { Receiver = -1, Payer = 1 }

## Public Member Functions

| YearOnYearInflationSwap (Type type, Real nominal, const Schedule &fixedSchedule, Rate fixedRate, const DayCounter &fixedDayCount, const Schedule &yoySchedule, const boost::shared_ptr< YoYInflationIndex > &yoyIndex, const Period &observationLag, Spread spread, const DayCounter &yoyDayCount, const Calendar &paymentCalendar, BusinessDayConvention paymentConvention=ModifiedFollowing)
virtual Real | fixedLegNPV () const
virtual Rate | fairRate () const
virtual Real | yoyLegNPV () const
virtual Spread | fairSpread () const
virtual Type | type () const
virtual Real | nominal () const
virtual const Schedule & | fixedSchedule () const
virtual Rate | fixedRate () const
virtual const DayCounter & | fixedDayCount () const
virtual const Schedule & | yoySchedule () const
virtual const boost::shared_ptr < YoYInflationIndex > & | yoyInflationIndex () const
virtual Period | observationLag () const
virtual Spread | spread () const
virtual const DayCounter & | yoyDayCount () const
virtual Calendar | paymentCalendar () const
virtual BusinessDayConvention | paymentConvention () const
virtual const Leg & | fixedLeg () const
virtual const Leg & | yoyLeg () const
void | setupArguments (PricingEngine::arguments *args) const
void | fetchResults (const PricingEngine::results *) const

## Detailed Description

Year-on-year inflation-indexed swap.

Quoted as a fixed rate . At start:

where is the maturity time, is the nominal discount factor at time , is the notional, and is the inflation index value at time .

Note:
  These instruments have now been changed to follow typical VanillaSwap type design conventions w.r.t. Schedules etc.

## Member Function Documentation

void setupArguments | ( | PricingEngine::arguments * |  | ) | const`[virtual]`

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from Swap.

void fetchResults | ( | const PricingEngine::results * | r | ) | const`[virtual]`

When a derived result structure is defined for an instrument, this method should be overridden to read from it. This is mandatory in case a pricing engine is used.

Reimplemented from Swap.